%define	upstream_name	 Archive-Extract
%define upstream_version 0.76

# Filter under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((File::Spec|IPC::Cmd|Module::Load::Conditional|Params::Check)\\)$

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A generic archive extracting mechanism
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Archive/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec) >= 0.820.0
BuildRequires: perl(IPC::Cmd) >= 0.640.0
BuildRequires: perl(Locale::Maketext::Simple)
BuildRequires: perl(Module::Load::Conditional) >= 0.40.0
BuildRequires: perl(Params::Check) >= 0.70.0
BuildRequires: perl(Test::More)
BuildRequires: perl(if)
BuildRequires: perl-version
BuildArch:  noarch

%description
Archive::Extract is a generic archive extraction mechanism.

It allows you to extract any archive file of the type .tar, .tar.gz, .gz, .Z,
tar.bz2, .tbz, .bz2 or .zip without having to worry how it does so, or use
different interfaces for each type by using either perl modules, or commandline
tools on your system.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%__make test

%install
%make_install

%files
%doc CHANGES META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Archive/*
%{_mandir}/*/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.760.0-3.mga6
+ Revision: 1022562
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.760.0-2.mga6
+ Revision: 968343
- Mageia 6 Mass Rebuild

* Mon Jul 06 2015 sander85 <sander85> 0.760.0-1.mga6
+ Revision: 852032
- update to 0.76

* Mon Jun 29 2015 sander85 <sander85> 0.740.0-1.mga6
+ Revision: 847903
- update to 0.74

* Wed Oct 15 2014 umeabot <umeabot> 0.720.0-5.mga5
+ Revision: 742280
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.720.0-4.mga5
+ Revision: 731831
- add excludes

* Sat Sep 27 2014 tv <tv> 0.720.0-3.mga5
+ Revision: 727562
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.720.0-2.mga5
+ Revision: 683536
- Mageia 5 Mass Rebuild

* Wed Feb 05 2014 shlomif <shlomif> 0.720.0-1.mga5
+ Revision: 583813
- update to 0.72

* Sat Oct 19 2013 umeabot <umeabot> 0.680.0-2.mga4
+ Revision: 526241
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 0.680.0-1.mga4
+ Revision: 436359
- update to 0.68

* Wed Mar 27 2013 jquelin <jquelin> 0.600.0-6.mga3
+ Revision: 405453
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.600.0-5.mga3
+ Revision: 363101
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.600.0-4.mga3
+ Revision: 315520
- perl 5.16.2 rebuild

* Mon Aug 27 2012 jquelin <jquelin> 0.600.0-3.mga3
+ Revision: 284575
- perl 5.16.1 rebuild

* Wed Jun 06 2012 jquelin <jquelin> 0.600.0-2.mga3
+ Revision: 256177
+ rebuild (emptylog)

* Wed Feb 22 2012 kharec <kharec> 0.600.0-1.mga2
+ Revision: 211906
- update to 0.60

* Thu Nov 03 2011 jquelin <jquelin> 0.580.0-1.mga2
+ Revision: 162171
- update to 0.58
- update to 0.56

* Wed Jun 15 2011 jquelin <jquelin> 0.520.0-1.mga2
+ Revision: 106469
- update to 0.52

* Wed Apr 13 2011 jquelin <jquelin> 0.500.0-1.mga1
+ Revision: 84235
- update to 0.50

* Wed Jan 19 2011 jquelin <jquelin> 0.480.0-1.mga1
+ Revision: 24288
- fix specs
- imported package perl-Archive-Extract


* Sat Jan 08 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.480.0-1mdv2011.0
+ Revision: 630618
- update to new version 0.48

* Mon Nov 08 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.460.0-1mdv2011.0
+ Revision: 595072
- update to new version 0.46

* Wed Oct 13 2010 Buchan Milne <bgmilne@mandriva.org> 0.440.0-1mdv2011.0
+ Revision: 585506
- New version 0.44

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.420.0-1mdv2011.0
+ Revision: 552254
- update to 0.42

* Thu Jan 07 2010 Jérôme Quelin <jquelin@mandriva.org> 0.380.0-1mdv2010.1
+ Revision: 487047
- update to 0.38

* Fri Nov 27 2009 Jérôme Quelin <jquelin@mandriva.org> 0.360.0-1mdv2010.1
+ Revision: 470463
- update to 0.36

* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 0.340.0-1mdv2010.0
+ Revision: 408913
- rebuild using %%perl_convert_version

* Sun Jun 28 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.34-1mdv2010.0
+ Revision: 390323
- update to new version 0.34

* Thu Jun 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.32-1mdv2010.0
+ Revision: 386988
- update to new version 0.32

* Wed Dec 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.30-1mdv2009.1
+ Revision: 315097
- update to new version 0.30

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.28-1mdv2009.1
+ Revision: 292020
- update to new version 0.28

* Mon Sep 29 2008 Oden Eriksson <oeriksson@mandriva.com> 0.26-2mdv2009.0
+ Revision: 289341
- restore the spec file

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Tue Jan 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.26-1mdv2008.1
+ Revision: 159907
- update to new version 0.26

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Oct 13 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.24-1mdv2008.1
+ Revision: 98020
- update to new version 0.24
- update to new version 0.24

* Fri Jun 22 2007 Buchan Milne <bgmilne@mandriva.org> 0.22-1mdv2008.0
+ Revision: 42850
- Import perl-Archive-Extract




* Thu Jun 21 2007 Buchan Milne <bgmilne@mandriva.org> 0.22-1mdv2007.1
- initial package
